ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
    메인/카테고리 배너 목록get메인/카테고리 배너 상세get
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

cover


메인/카테고리 배너 목록

GET
https://odkmedia.io
/odx/api/v3/cover/

메인/카테고리 배너 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

메인/카테고리 배너 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

메인/카테고리 배너 목록 › Responses

200
PaginatedOdxV3CoverList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3Cover[]
GET/odx/api/v3/cover/
curl https://odkmedia.io/odx/api/v3/cover \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "contents": { "items": [ { "call_to_action": "call_to_action", "content_id": 0, "content_sales_type": "GUEST", "content_slug": "content_slug", "content_type": "episode", "description": "description", "episode_id": 0, "image_landscape": "image_landscape", "image_portrait": "image_portrait", "rolling_time": 0, "thumbnail": "thumbnail", "title": "title", "tracking": "tracking", "url": "url", "video": "video", "video_file": "video_file" } ] }, "id": 0, "slug": "slug" } ] }
json
application/json

메인/카테고리 배너 상세

GET
https://odkmedia.io
/odx/api/v3/cover/{slug}/
  • The slug of ODK main banner: home-cover-default
  • The slug of ODK category page's banner: category-cover-{category_slug} (e.g. category-cover-drama)

메인/카테고리 배너 상세 › path Parameters

slug
​string · required

Home slug for url

메인/카테고리 배너 상세 › query Parameters

debug
​string

If value is "on", debug is included in response.

메인/카테고리 배너 상세 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

메인/카테고리 배너 상세 › Responses

200
OdxV3Cover
​CoverContents · required
id
​integer · readOnly
slug
​string · readOnly · pattern: ^[-a-zA-Z0-9_]+$

Home slug for url

GET/odx/api/v3/cover/{slug}/
curl https://odkmedia.io/odx/api/v3/cover/:slug \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "contents": { "items": [ { "call_to_action": "call_to_action", "content_id": 0, "content_sales_type": "GUEST", "content_slug": "content_slug", "content_type": "episode", "description": "description", "episode_id": 0, "image_landscape": "image_landscape", "image_portrait": "image_portrait", "rolling_time": 0, "thumbnail": "thumbnail", "title": "title", "tracking": "tracking", "url": "url", "video": "video", "video_file": "video_file" } ] }, "id": 0, "slug": "slug" }
json
application/json

contact-uscuration